Name: libnessus 
Version: 1.2.6
Release: alt2
License: GPL
Url: http://www.nessus.org
Group: Security/Networking
Summary: Nessus is the security scanner
Source:  nessus-libraries-%version.tar.gz

# Automatically added by buildreq on Thu Jul 25 2002
BuildRequires: bison flex openssl-devel

%package devel
Summary: Header files for nessus libraries
Group: Development/Other
Requires: libnessus = %version

%description devel
Header files for development with nessus libraries

%description
The goal of Nessus is to provide users with a very stable,
reliable and scalable security scanner. This package contain libraries
needed to run nessus.

%prep
%setup -q -n nessus-libraries  

%build
#We can't use macros here
./configure 	--prefix=%{_prefix} \
 		--mandir=%{_datadir}/man \
		--sysconfdir=%{_sysconfdir}
make 

%install
mkdir -p $RPM_BUILD_ROOT
#Tricks for installing as usual user
echo -e "19,21s:^prefix=/usr:prefix=${RPM_BUILD_ROOT}/usr:\n\
32,35s:^mandir=/usr:mandir=${RPM_BUILD_ROOT}/usr:\n\
w\nq\n" | ed nessus.tmpl ||:

make install 

%files
%_bindir/*
%_libdir/*.so.*
%_man1dir/*

%files devel
%_includedir/nessus
%_libdir/*.so

%changelog
* Wed Jan 29 2003 Serge Sergeev <ssv@altlinux.ru> 1.2.6-alt2
- moved *.so to devel package

* Mon Oct 14 2002 Serge Sergeev <ssv@altlinux.ru> 1.2.6-alt1
- Build for new version
- Fixed wrong group of package

* Fri Oct 11 2002 Serge Sergeev <ssv@altlinux.ru> 1.2.5-alt1
- Build for new version

* Thu Jul 25 2002 Serge V. Sergeev <sergeyssv@mail.ru>
- Build for new version

- Fixed requires section for devel package : added version
* Thu Jun 20 2002 Serge V. Sergeev <sergeyssv@mail.ru>
- Initial release

